Subject: bug#4032: 23.1; Minor inconvenience in toolbar implementation (perhaps only on Windows?)

From: Bostjan Vilfan <[email-masked]>
Date: Tue, 4 Aug 2009 07:55:42 -0700 (PDT)

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug: The example that illustrates the bug
is in attachment

Hello,
I have the habit of attaching some commands to toolbar icons, thereby achieving one 
click functionality. It is thus that I have noticed the following difference between 
Emacs 22.3 and Emacs 23.1: After attaching some toolbar commands to a certain file 
name, I visit that file. In Emacs 22.3 all additional icons are placed on the toolbar (if icons won't fit on the toolbar line, a new line is created), and one can do whatever one likes with the file. In Emacs 23.1, however, if an additional toolbar line is needed, the icons are not placed on the toolbar until one "does something" with the file (e.g. moves the slider). In my view the fact that something has to be done for the toolbar icons to appear is an inconvenience. 

I created a small example illustrating this bug (or whatever). All necessary files 
are found in example.zip. Instructions are located at the beginning of example.el. 
Note that when the example is run, one must wait some time before the icons appear 
(too many icons?). To repeat: in Emacs 22.3 all (10) icons appear not having to do 
anything to the file while in Emacs 23.1 only one will appear, and only after moving 
slider the remaining 9.
Regards,
bostjanv

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Program Files/GNU/Emacs/emacs-23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1250
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <switch-frame> <switch-frame> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<switch-frame> <tool-bar> <kill-buffer> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <mouse-1> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<tool-bar> <one-window> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<menu-bar> <buffer> C-d <down-mouse-1> <mouse-1> <tab> 
<down-mouse-1> <mouse-1> <tab> <down-mouse-1> <mouse-1> 
<backspace> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <tool-bar> 
<save-buffer> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> u t f - 8 <return> <help-echo> 
<help-echo> <help-echo> <tool-bar> <kill-buffer> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <mouse-1> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <tool-bar> <help>

Recent messages:
Loading utilvilf...done
Mark set
OVERVIEW
For information about GNU Emacs and the GNU system, type C-h C-a.
CHILDREN [2 times]
Saving file c:/Documents and Settings/Bostjan/My Documents/.emacs.d/notes.org...
Wrote c:/Documents and Settings/Bostjan/My Documents/.emacs.d/notes.org